[Launch]
ProgramExecutable=ScnRec\ScnRec.exe
DirectoryMoveOK=yes
MinOS=XP
SplashTime=1
LaunchAppAfterSplash=true
RunAsAdmin=try
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
ScnRec="HKCU\Software\ZD Soft"

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\ScnRec.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\ScnRec.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\ScnRec.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\